#include "BankingCommonDecl.h"
#include "Account.h"


Account::Account(int _accID, char* _name, int _balance)
	: accID(_accID), balance(_balance)
{
	size_t len = strlen(_name);
	name = new char[len + 1];
	strcpy_s(name, len + 1, _name);
}
Account::Account(const Account& copy)
	: accID(copy.accID), balance(copy.balance)
{
	size_t len = strlen(copy.name);
	name = new char[len + 1];
	strcpy_s(name, len + 1, copy.name);
}
Account& Account::operator=(const Account& ref)
{
	delete[]name;
	size_t len = strlen(ref.name);
	name = new char[len + 1];
	strcpy_s(name, len + 1, ref.name);
	accID = ref.accID;
	balance = ref.balance;
	return *this;
}
int Account::GetAccID() const { return accID; }
void Account::Deposit(int money)
{
	balance += money;
}
int Account::Withdraw(int money)
{
	if (balance < money)
		return 0;
	balance -= money;
	return money;
}
void Account::ShowAccInfo() const
{
	cout << "ID : " << accID << endl;
	cout << "̸   : " << name << endl;
	cout << "ܾ   : " << balance << endl;
}
Account::~Account()
{
	delete[]name;
}


